import pg from 'pg'
import fs from 'fs'

const { Client } = pg

export const getClient = async () => {
    const client = new Client({
        user: process.env.POSTGRES_USER,
        password: process.env.POSTGRES_PASSWORD,
        host: "postgresql",
        port: 5432,
        database: process.env.POSTGRES_DB
    });
    await client.connect()

    console.log(fs.readFileSync('./scheme.psql').toString())

    await client.query(fs.readFileSync('./scheme.psql').toString())

    return client
}

